Subject: [payload] I-D Action: draft-ietf-payload-rtp-sbc-01.txt

From: [email-masked]
Date: Thu, 15 Dec 2011 06:45:58 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Audio/Video Transport Payloads Working Group of the IETF.

	Title           : RTP Payload Format for Bluetooth's SBC audio codec
	Author(s)       : Christian Hoene
                          Frans de Bont
	Filename        : draft-ietf-payload-rtp-sbc-01.txt
	Pages           : 24
	Date            : 2011-12-15

   This document specifies a Real-time Transport Protocol (RTP) payload
   format to be used for the low complexity subband codec (SBC), which
   is the mandatory audio codec of the Advanced Audio Distribution
   Profile (A2DP) Specification written by the Bluetooth(r) Special
   Interest Group (SIG). The payload format is designed to be able to
   interoperate with existing Bluetooth A2DP devices, to provide high
   streaming audio quality, interactive audio transmission over the
   internet, and ultra-low delay coding for jam sessions on the
   internet. This document contains also a media type registration
   which specifies the use of the RTP payload format.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-payload-rtp-sbc-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-payload-rtp-sbc-01.txt

---

From: "Christian Hoene" <[email-masked]>
Date: Thu, 15 Dec 2011 15:51:13 +0100

Hello,

we would like to ask for WGLC if possible.

The Bluetooth SBC is a quite nice codec ranging from wideband speech, CD
quality up to distributed ensembles as it has ultra-low delay. The
complexity is very low and last not least, to the best of my knowledge it is
patent free. We have one implementation of this draft in libopal.

With best regards,

 Christian Hoene

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Thursday, December 15, 2011 3:46 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [payload] I-D Action: draft-ietf-payload-rtp-sbc-01.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Audio/Video Transport Payloads Working
> Group of the IETF.
> 
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload

---

From: Colin Perkins <[email-masked]>
Date: Mon, 19 Dec 2011 16:42:12 +0000

Christian,

Some comments on this version:

- Section 3 is background, but is written in a way that could be interpreted as making a series of normative requirements (e.g., “SBC can use four or eight subbands. The decoder shall support both; the encoder shall support at least 8 subbands”). Be clear whether these are normative requirements made by this document, or by the SBC codec specification or the SBC A2DP profile.

- The draft uses “CAN” throughout, but this is not an RFC 2119 keyword. What is meant?

- Need to mandate the behaviour if the fields in the frame header don’t match the SDP negotiated values. It would be better if these parameters were only specified in the SDP, rather than duplicating them in-band and in the signalling.

- Media type registration: “MIME type” -> “Media type”, since this is more general than Internet mail.

- The formatting of the “optional parameters” section of the media type registration is unclear. Is this supposed to include the capabilities parameter? Is the capabilities parameter really optional? Section 7.2 seems to require it.

- The change controller cannot be the AVT working group, since that no longer exists

- Section 7.1.1 refers to the “a=rtpmap:” attribute for the rate and channel parameters, but section 7.1 doesn’t define these parameters. Need to add them in the required parameters section of the media type registration.

Colin

-- 
Colin Perkins
http://csperkins.org/